Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextTransaction

    java.lang.Object
      org.apache.catalina.deploy.ContextTransaction

All Implemented Interfaces:
  java.io.Serializable

    public class ContextTransaction

extends java.lang.Object
implements java.io.Serializable

Representation of an application resource reference, as represented in an `<res-env-refy>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ContextTransaction()`

Method Summary
`NamingResources` | `getNamingResources()`
`java.lang.Object` | `getProperty(java.lang.String name)` Return a configured property.
`java.util.Iterator` | `listProperties()` List properties.
`void` | `removeProperty(java.lang.String name)` remove a configured property.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set a configured property.
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ContextTransaction

    public ContextTransaction()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Return a configured property.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Set a configured property.

### removeProperty

    public void removeProperty(java.lang.String name)

  remove a configured property.

### listProperties

    public java.util.Iterator listProperties()

  List properties.

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.